ToOneFkSecondPass (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ToOneFkSecondPass

    java.lang.Object
      org.hibernate.cfg.FkSecondPass
          org.hibernate.cfg.ToOneFkSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class ToOneFkSecondPass

extends FkSecondPass

Enable a proper set of the FK columns in respect with the id column order Allow the correct implementation of the default EJB3 values which needs both sides of the association to be resolved

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.FkSecondPass
`columns, value`

Constructor Summary
`ToOneFkSecondPass(ToOne value, Ejb3JoinColumn[] columns, boolean unique, String entityClassName, String path, Mappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`
`String` | `getReferencedEntityName()`
`boolean` | `isInPrimaryKey()`

Methods inherited from class org.hibernate.cfg.FkSecondPass
`equals, getUniqueCounter, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToOneFkSecondPass

    public ToOneFkSecondPass(ToOne value,
                             Ejb3JoinColumn[] columns,
                             boolean unique,
                             String entityClassName,
                             String path,
                             Mappings mappings)

Method Detail

### getReferencedEntityName

    public String getReferencedEntityName()

  Specified by:
    `getReferencedEntityName` in class `FkSecondPass`

### isInPrimaryKey

    public boolean isInPrimaryKey()

  Specified by:
    `isInPrimaryKey` in class `FkSecondPass`

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.